## AgsTogglePatternBit

AgsTogglePatternBit — toggle the pattern

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsTogglePatternBit * | ags_toggle_pattern_bit_new ()

## Properties

guint | bit | Read / Write
guint | index-i | Read / Write
guint | index-j | Read / Write
guint | line | Read / Write
AgsPattern * | pattern | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsTogglePatternBit

## Includes

    #include <ags/audio/task/ags_toggle_pattern_bit.h>

## Description

The AgsTogglePatternBit task toggles the specified AgsPattern.

## Functions

### ags_toggle_pattern_bit_new ()

    AgsTogglePatternBit *
    ags_toggle_pattern_bit_new (AgsPattern *pattern,
                                guint line,
                                guint index_i,
                                guint index_j,
                                guint bit);

Creates an AgsTogglePatternBit.

#### Parameters

pattern | the AgsPattern to toggle |
line | the affected line |
index_i | bank 0 |
index_j | bank 1 |
bit | the index within pattern |

#### Returns

an new AgsTogglePatternBit.

Since: 3.0.0

## Property Details

### The `“bit”` property

      “bit”                      guint

The bit.

Owner: AgsTogglePatternBit

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“index-i”` property

      “index-i”                  guint

The index-i.

Owner: AgsTogglePatternBit

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“index-j”` property

      “index-j”                  guint

The index-j.

Owner: AgsTogglePatternBit

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“line”` property

      “line”                     guint

The line.

Owner: AgsTogglePatternBit

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“pattern”` property

      “pattern”                  AgsPattern *

The assigned AgsPattern

Owner: AgsTogglePatternBit

Flags: Read / Write

Since: 3.0.0